import { Ref } from 'vue';
import { InputExpose } from '@/components/hive-input/hive-input.vue';
import { ActiveValue, Value } from '../types/value';
import { Option, FilteredOptions } from '../types/option';
import { DataContainerNode } from '../types/data-container';
export type ExpandListsCommonMethodsConfig = {
    searchQuery: Ref<string>;
    activeValue: ActiveValue;
    currentValue?: Ref<Value | null>;
    filteredOptions: FilteredOptions;
    handleEvent?: (event: Event) => void;
};
export type ExpandListsCommonMethodsExport = {
    isExpanded: Ref<boolean>;
    searchRef: Ref<InputExpose | null>;
    expand: () => void;
    collapse: () => void;
    toggle: () => void;
    updateActiveValue: (value: Value) => void;
    setActiveValueToFirst: () => void;
    setPrevActiveValue: () => void;
    setNextActiveValue: () => void;
    onAppear: (option: DataContainerNode<Option>) => void;
    onDisappear: (option: DataContainerNode<Option>) => void;
};
export declare const useExpandListMethods: ({ searchQuery, activeValue, currentValue, filteredOptions, }: ExpandListsCommonMethodsConfig) => ExpandListsCommonMethodsExport;
